# studio::ModPalette Class Reference

`#include <mod_palette.h>`

Inheritance diagram for studio::ModPalette:

List of all members.

## Public Member Functions

virtual | ~ModPalette ()

## Protected Member Functions

virtual bool | start_vfunc ()
virtual bool | stop_vfunc ()

## Friends

class | Dock_PalEdit
class | Dock_PalBrowse

## Constructor & Destructor Documentation

virtual studio::ModPalette::~ModPalette | ( |  | ) | `[inline, virtual]`

References studio::Module::stop().

## Member Function Documentation

bool studio::ModPalette::start_vfunc | ( |  | ) | `[protected, virtual]`

Implements studio::Module.

References Dock_PalEdit, studio::App::get_dock_manager(), and studio::DockManager::register_dockable().

bool studio::ModPalette::stop_vfunc | ( |  | ) | `[protected, virtual]`

Implements studio::Module.

References studio::App::get_dock_manager(), and studio::DockManager::unregister_dockable().

## Friends And Related Function Documentation

friend class Dock_PalEdit `[friend]`

Referenced by start_vfunc().

friend class Dock_PalBrowse `[friend]`

The documentation for this class was generated from the following files:

- mod_palette.h
- mod_palette.cpp